#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;

uniform sampler2D u_texture;
uniform float u_alpha;
uniform vec4 u_colour;

void main()
{
	// Cutoff
	vec4 colour = texture2D(u_texture, v_texCoord);
	if (u_alpha <= colour.a)
    {
        colour = vec4(u_colour.r, u_colour.g, u_colour.b, 0.3);
    }
    else
    {
        colour = vec4(0.0, 0.0, 0.0, 0.0);
    }
    
	gl_FragColor = colour;
}