#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;

uniform sampler2D u_texture;

void main()
{
	// grayscale
	vec4 colour = texture2D(u_texture, v_texCoord);
	float gray = (0.2*colour.r) + (0.7 * colour.g) + (0.1 * colour.b);
	gl_FragColor = vec4(gray, gray, gray, colour.a);
}